> ## Documentation Index > Fetch the complete documentation index at: https://www.canva.dev/docs/apps/llms.txt > Use this file to discover all available pages before exploring further. # Get design export job Get the status and results of an export job, including link(s) to the downloadable file(s). Gets the result of a design export job that was created using the [Create design export job API](https://www.canva.dev/docs/apps/rest-apis/reference/exports/create-design-export-job/). If the job is successful, the response includes an array of download URLs. Depending on the design type and export format, there is a download URL for each page in the design. The download URLs are only valid for 24 hours. You might need to make multiple requests to this endpoint until you get a `success` or `failed` status. For more information on the workflow for using asynchronous jobs, see [API requests and responses](https://www.canva.dev/docs/apps/rest-apis/requests-responses/#asynchronous-job-endpoints). ## HTTP method and URL path GET https\://api.canva.com/rest/v1/exports/\{exportId} This operation is rate limited to 120 requests per minute for each user of your app. ## Authentication and authorization This endpoint requires a valid access token that acts on behalf of a user. For more information, see [Generate an access token](/docs/apps/rest-apis/reference/authentication/generate-access-token). ### Scopes The access token must have all the following [scopes](/docs/apps/rest-apis/scopes) (permissions): * `design:content:read` ## Header parameters Provides credentials to authenticate the request, in the form of a `Bearer` token. For example: `Authorization: Bearer {token}` ## Path parameters The export job ID. ## Example request Examples for using the `/v1/exports/{exportId}` endpoint: ```sh curl --request GET 'https://api.canva.com/rest/v1/exports/{exportId}' \ --header 'Authorization: Bearer {token}' ``` ```js const fetch = require("node-fetch"); fetch("https://api.canva.com/rest/v1/exports/{exportId}", { method: "GET", headers: { "Authorization": "Bearer {token}", }, }) .then(async (response) => { const data = await response.json(); console.log(data); }) .catch(err => console.error(err)); ``` ```java import java.io.IOException; import java.net.URI; import java.net.http.*; public class ApiExample { public static void main(String[] args) throws IOException, InterruptedException { HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.canva.com/rest/v1/exports/{exportId}")) .header("Authorization", "Bearer {token}") .method("GET", HttpRequest.BodyPublishers.noBody()) .build(); HttpResponse response = HttpClient.newHttpClient().send( request, HttpResponse.BodyHandlers.ofString() ); System.out.println(response.body()); } } ``` ```py import requests headers = { "Authorization": "Bearer {token}" } response = requests.get("https://api.canva.com/rest/v1/exports/{exportId}", headers=headers ) print(response.json()) ``` ```csharp using System.Net.Http; var client = new HttpClient(); var request = new HttpRequestMessage { Method = HttpMethod.Get, RequestUri = new Uri("https://api.canva.com/rest/v1/exports/{exportId}"), Headers = { { "Authorization", "Bearer {token}" }, }, }; using (var response = await client.SendAsync(request)) { response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body); }; ``` ```go package main import ( "fmt" "io" "net/http" ) func main() { url := "https://api.canva.com/rest/v1/exports/{exportId}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer {token}") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ```php $curl = curl_init(); curl_setopt_array($curl, array( CURLOPT_URL => "https://api.canva.com/rest/v1/exports/{exportId}", CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => array( 'Authorization: Bearer {token}', ), )); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if (empty($err)) { echo $response; } else { echo "Error: " . $err; } ``` ```ruby require 'net/http' require 'uri' url = URI('https://api.canva.com/rest/v1/exports/{exportId}') http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request['Authorization'] = 'Bearer {token}' response = http.request(request) puts response.read_body ``` ## Success response If successful, the endpoint returns a `200` response with a JSON body with the following parameters: The status of the export job. Properties of job} defaultExpanded={true}> The export job ID. The export status of the job. A newly created job will be `in_progress` and will eventually become `success` or `failed`. **Available values:** * `failed` * `in_progress` * `success` Download URL(s) for the completed export job. These URLs expire after 24 hours. Depending on the design type and export format, there is a download URL for each page in the design. The list is sorted by page order. If the export fails, this object provides details about the error. Properties of error}> If the export failed, this specifies the reason why it failed. **Available values:** * `license_required`: The design contains [premium elements](https://www.canva.com/help/premium-elements/) that haven't been purchased. You can either buy the elements or upgrade to a Canva plan (such as Canva Pro) that has premium features, then try again. Alternatively, you can set `export_quality` to `regular` to export your document in regular quality. * `approval_required`: The design requires [reviewer approval](https://www.canva.com/en_au/help/design-approval/) before it can be exported. * `internal_failure`: The service encountered an error when exporting your design. A human-readable description of what went wrong. ## Example responses ### In progress job ```json { "job": { "id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8", "status": "in_progress" } } ``` ### Successfully completed job ```json { "job": { "id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8", "status": "success", "urls": [ "https://export-download.canva.com/..." ] } } ``` ### Failed job ```json { "job": { "id": "e08861ae-3b29-45db-8dc1-1fe0bf7f1cc8", "status": "failed", "error": { "code": "license_required", "message": "User doesn't have the required license to export in PRO quality." } } } ``` ## Error responses ### 403 Forbidden A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error responses ##### Not allowed to access export job. ```json { "code": "permission_denied", "message": "Not allowed to access export job" } ``` ##### Not allowed to access export job result. ```json { "code": "permission_denied", "message": "Not allowed to access export job result" } ``` ### 404 Not Found A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see [Error responses](/docs/apps/rest-apis/error-responses/). A human-readable description of what went wrong. #### Example error response ##### Export job result has expired. ```json { "code": "not_found", "message": "export job result has expired" } ```